Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deWorld.cpp File Reference

Destiny "World" storage. More...

`#include "deWorld_priv.hpp"`
`#include "deDriver.hpp"`
`#include "deMath.hpp"`
`#include "deCamera.hpp"`
`#include "deFileSystem.hpp"`
`#include "deFile.hpp"`
`#include <cstdio>`

Include dependency graph for deWorld.cpp:

## Compounds
struct | deWorld_Header_t
## Functions
IdeWorldManager * | IdeWorld_GetManager ()
| Exported function for retrieving a pointer to the deWorldManager singleton.
void | IdeWorld_ShutDown ()
IdeFile * | LoadFile (const char *filename, IdeFileSystem *BaseFS, deBoolean Read, deBoolean Write)
IdeResourceBase * | LoadWorldFile (const char *filename, IdeFile *worldfile, deBoolean)
## Variables
deWorldManager * | s_TheManager = NULL
const struct deWorld_Header_t | deWorld_Header

## Detailed Description

Destiny "World" storage.

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Dec 2001

Author:
  Assassin

Remarks:
  Creation

Date:
  Feb 2002

Author:
  Assassin

Remarks:
  Rendering functionality moved to deRender

Date:
  Sep 2002

Author:
  Assassin

Remarks:
  Tear-down and re-write

## Function Documentation

IdeWorldManager* IdeWorld_GetManager | ( |  | ) |

| Exported function for retrieving a pointer to the deWorldManager singleton.

void IdeWorld_ShutDown | ( |  | ) |

IdeFile* LoadFile | ( | const char * | filename,
|  | IdeFileSystem * | BaseFS,
|  | deBoolean | Read,
|  | deBoolean | Write
| ) | `[static]`

IdeResourceBase* LoadWorldFile | ( | const char * | filename,
|  | IdeFile * | worldfile,
|  | deBoolean |
| ) |

## Variable Documentation

const struct deWorld_Header_t deWorld_Header`[static]`

deWorldManager* s_TheManager = NULL`[static]`